- Main Page
- Namespaces
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/MusimatChapter9/C091405.cpp File Reference

`#include "MusimatChapter9.h"`

Go to the source code of this file.

## Functions
| MusimatChapter9Section (C091405)

## Function Documentation

MusimatChapter9Section | ( | C091405 |  | ) |

Definition at line 2 of file C091405.cpp.

    00002                                 {
    00003 Print("*** 9.14.5 Generating Outcomes from Probability Distributions ***");
    00004 /*****************************************************************************
    00005
    00006 9.14.5 Generating Outcomes from Probability Distributions
    00007
    00008 Probability distributions allow us to analyze random systems like dice and coins, but we can also
    00009 use them to synthesize random numbers that are distributed in probability according to our choos-
    00010 ing. We can use such systems to drive compositional processes to automatically generate music
    00011 according to rules that we supply.
    00012
    00013 Say, for instance, we wish to use a random system to create a melody so that it favors lower
    00014 pitches in the scale. Let’s limit the sample space to one octave of the chromatic scale. We can rep-
    00015 resent this as a probability inequality:
    00016
    00017 f (x) == P( R = C ) > P(R = C#) > P(R = D)  > . . . > P(R = B).
    00018
    00019 To be specific, suppose we want to create a probability distribution function that is 12 times more
    00020 likely to pick C than B, 11 times more likely to pick C# than B, 10 times more likely to pick D than
    00021 B, and so on. The probability distribution function would look like the one in figure 9.20.
    00022
    00023 We know what we want, but how do we get it? So far, the only things we have to work with are
    00024 a random number generator, Random() (see appendix B, B.1.27) and a probability distribution
    00025 function (figure 9.21).
    00026
    00027 *****************************************************************************/
    00028 }}